Changeset 1664

Show
Ignore:
Timestamp:
02/05/05 17:47:59 (4 years ago)
Author:
morris
Message:

Sync with libzanka

Files:

Legend:

Unmodified
Added
Removed
Modified
Copied
Moved
  • trackerd/trunk/config.h.in

    r259 r1664  
    1212/* Define to 1 if you have the <getopt.h> header file. */ 
    1313#undef HAVE_GETOPT_H 
     14 
     15/* Define to 1 if you have glibc. */ 
     16#undef HAVE_GLIBC 
    1417 
    1518/* Define to 1 if you have the <ifaddrs.h> header file. */ 
     
    127130#undef _FILE_OFFSET_BITS 
    128131 
     132/* Define to 1 if you have glibc. */ 
     133#undef _GNU_SOURCE 
     134 
    129135/* Define to 1 to make fseeko visible on some hosts (e.g. glibc 2.2). */ 
    130136#undef _LARGEFILE_SOURCE 
  • trackerd/trunk/configure

    r1582 r1664  
    26152615 
    26162616 
     2617# Check for glibc (Linux) 
     2618ac_ext=c 
     2619ac_cpp='$CPP $CPPFLAGS' 
     2620ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' 
     2621ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 
     2622ac_compiler_gnu=$ac_cv_c_compiler_gnu 
     2623echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5 
     2624echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6 
     2625# On Suns, sometimes $CPP names a directory. 
     2626if test -n "$CPP" && test -d "$CPP"; then 
     2627  CPP= 
     2628fi 
     2629if test -z "$CPP"; then 
     2630  if test "${ac_cv_prog_CPP+set}" = set; then 
     2631  echo $ECHO_N "(cached) $ECHO_C" >&6 
     2632else 
     2633      # Double quotes because CPP needs to be expanded 
     2634    for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp" 
     2635    do 
     2636      ac_preproc_ok=false 
     2637for ac_c_preproc_warn_flag in '' yes 
     2638do 
     2639  # Use a header file that comes with gcc, so configuring glibc 
     2640  # with a fresh cross-compiler works. 
     2641  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since 
     2642  # <limits.h> exists even on freestanding compilers. 
     2643  # On the NeXT, cc -E runs the code through the compiler's parser, 
     2644  # not just through cpp. "Syntax error" is here to catch this case. 
     2645  cat >conftest.$ac_ext <<_ACEOF 
     2646#line $LINENO "configure" 
     2647/* confdefs.h.  */ 
     2648_ACEOF 
     2649cat confdefs.h >>conftest.$ac_ext 
     2650cat >>conftest.$ac_ext <<_ACEOF 
     2651/* end confdefs.h.  */ 
     2652#ifdef __STDC__ 
     2653# include <limits.h> 
     2654#else 
     2655# include <assert.h> 
     2656#endif 
     2657                     Syntax error 
     2658_ACEOF 
     2659if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
     2660  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
     2661  ac_status=$? 
     2662  grep -v '^ *+' conftest.er1 >conftest.err 
     2663  rm -f conftest.er1 
     2664  cat conftest.err >&5 
     2665  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2666  (exit $ac_status); } >/dev/null; then 
     2667  if test -s conftest.err; then 
     2668    ac_cpp_err=$ac_c_preproc_warn_flag 
     2669  else 
     2670    ac_cpp_err= 
     2671  fi 
     2672else 
     2673  ac_cpp_err=yes 
     2674fi 
     2675if test -z "$ac_cpp_err"; then 
     2676  : 
     2677else 
     2678  echo "$as_me: failed program was:" >&5 
     2679sed 's/^/| /' conftest.$ac_ext >&5 
     2680 
     2681  # Broken: fails on valid input. 
     2682continue 
     2683fi 
     2684rm -f conftest.err conftest.$ac_ext 
     2685 
     2686  # OK, works on sane cases.  Now check whether non-existent headers 
     2687  # can be detected and how. 
     2688  cat >conftest.$ac_ext <<_ACEOF 
     2689#line $LINENO "configure" 
     2690/* confdefs.h.  */ 
     2691_ACEOF 
     2692cat confdefs.h >>conftest.$ac_ext 
     2693cat >>conftest.$ac_ext <<_ACEOF 
     2694/* end confdefs.h.  */ 
     2695#include <ac_nonexistent.h> 
     2696_ACEOF 
     2697if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
     2698  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
     2699  ac_status=$? 
     2700  grep -v '^ *+' conftest.er1 >conftest.err 
     2701  rm -f conftest.er1 
     2702  cat conftest.err >&5 
     2703  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2704  (exit $ac_status); } >/dev/null; then 
     2705  if test -s conftest.err; then 
     2706    ac_cpp_err=$ac_c_preproc_warn_flag 
     2707  else 
     2708    ac_cpp_err= 
     2709  fi 
     2710else 
     2711  ac_cpp_err=yes 
     2712fi 
     2713if test -z "$ac_cpp_err"; then 
     2714  # Broken: success on invalid input. 
     2715continue 
     2716else 
     2717  echo "$as_me: failed program was:" >&5 
     2718sed 's/^/| /' conftest.$ac_ext >&5 
     2719 
     2720  # Passes both tests. 
     2721ac_preproc_ok=: 
     2722break 
     2723fi 
     2724rm -f conftest.err conftest.$ac_ext 
     2725 
     2726done 
     2727# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped. 
     2728rm -f conftest.err conftest.$ac_ext 
     2729if $ac_preproc_ok; then 
     2730  break 
     2731fi 
     2732 
     2733    done 
     2734    ac_cv_prog_CPP=$CPP 
     2735 
     2736fi 
     2737  CPP=$ac_cv_prog_CPP 
     2738else 
     2739  ac_cv_prog_CPP=$CPP 
     2740fi 
     2741echo "$as_me:$LINENO: result: $CPP" >&5 
     2742echo "${ECHO_T}$CPP" >&6 
     2743ac_preproc_ok=false 
     2744for ac_c_preproc_warn_flag in '' yes 
     2745do 
     2746  # Use a header file that comes with gcc, so configuring glibc 
     2747  # with a fresh cross-compiler works. 
     2748  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since 
     2749  # <limits.h> exists even on freestanding compilers. 
     2750  # On the NeXT, cc -E runs the code through the compiler's parser, 
     2751  # not just through cpp. "Syntax error" is here to catch this case. 
     2752  cat >conftest.$ac_ext <<_ACEOF 
     2753#line $LINENO "configure" 
     2754/* confdefs.h.  */ 
     2755_ACEOF 
     2756cat confdefs.h >>conftest.$ac_ext 
     2757cat >>conftest.$ac_ext <<_ACEOF 
     2758/* end confdefs.h.  */ 
     2759#ifdef __STDC__ 
     2760# include <limits.h> 
     2761#else 
     2762# include <assert.h> 
     2763#endif 
     2764                     Syntax error 
     2765_ACEOF 
     2766if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
     2767  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
     2768  ac_status=$? 
     2769  grep -v '^ *+' conftest.er1 >conftest.err 
     2770  rm -f conftest.er1 
     2771  cat conftest.err >&5 
     2772  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2773  (exit $ac_status); } >/dev/null; then 
     2774  if test -s conftest.err; then 
     2775    ac_cpp_err=$ac_c_preproc_warn_flag 
     2776  else 
     2777    ac_cpp_err= 
     2778  fi 
     2779else 
     2780  ac_cpp_err=yes 
     2781fi 
     2782if test -z "$ac_cpp_err"; then 
     2783  : 
     2784else 
     2785  echo "$as_me: failed program was:" >&5 
     2786sed 's/^/| /' conftest.$ac_ext >&5 
     2787 
     2788  # Broken: fails on valid input. 
     2789continue 
     2790fi 
     2791rm -f conftest.err conftest.$ac_ext 
     2792 
     2793  # OK, works on sane cases.  Now check whether non-existent headers 
     2794  # can be detected and how. 
     2795  cat >conftest.$ac_ext <<_ACEOF 
     2796#line $LINENO "configure" 
     2797/* confdefs.h.  */ 
     2798_ACEOF 
     2799cat confdefs.h >>conftest.$ac_ext 
     2800cat >>conftest.$ac_ext <<_ACEOF 
     2801/* end confdefs.h.  */ 
     2802#include <ac_nonexistent.h> 
     2803_ACEOF 
     2804if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
     2805  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
     2806  ac_status=$? 
     2807  grep -v '^ *+' conftest.er1 >conftest.err 
     2808  rm -f conftest.er1 
     2809  cat conftest.err >&5 
     2810  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2811  (exit $ac_status); } >/dev/null; then 
     2812  if test -s conftest.err; then 
     2813    ac_cpp_err=$ac_c_preproc_warn_flag 
     2814  else 
     2815    ac_cpp_err= 
     2816  fi 
     2817else 
     2818  ac_cpp_err=yes 
     2819fi 
     2820if test -z "$ac_cpp_err"; then 
     2821  # Broken: success on invalid input. 
     2822continue 
     2823else 
     2824  echo "$as_me: failed program was:" >&5 
     2825sed 's/^/| /' conftest.$ac_ext >&5 
     2826 
     2827  # Passes both tests. 
     2828ac_preproc_ok=: 
     2829break 
     2830fi 
     2831rm -f conftest.err conftest.$ac_ext 
     2832 
     2833done 
     2834# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped. 
     2835rm -f conftest.err conftest.$ac_ext 
     2836if $ac_preproc_ok; then 
     2837  : 
     2838else 
     2839  { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check 
     2840See \`config.log' for more details." >&5 
     2841echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check 
     2842See \`config.log' for more details." >&2;} 
     2843   { (exit 1); exit 1; }; } 
     2844fi 
     2845 
     2846ac_ext=c 
     2847ac_cpp='$CPP $CPPFLAGS' 
     2848ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' 
     2849ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 
     2850ac_compiler_gnu=$ac_cv_c_compiler_gnu 
     2851 
     2852 
     2853cat >conftest.$ac_ext <<_ACEOF 
     2854 
     2855    #include <features.h> 
     2856    #ifndef __GLIBC__ 
     2857    chokeme 
     2858    #endif 
     2859 
     2860_ACEOF 
     2861if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
     2862  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
     2863  ac_status=$? 
     2864  grep -v '^ *+' conftest.er1 >conftest.err 
     2865  rm -f conftest.er1 
     2866  cat conftest.err >&5 
     2867  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2868  (exit $ac_status); } >/dev/null; then 
     2869  if test -s conftest.err; then 
     2870    ac_cpp_err=$ac_c_preproc_warn_flag 
     2871  else 
     2872    ac_cpp_err= 
     2873  fi 
     2874else 
     2875  ac_cpp_err=yes 
     2876fi 
     2877if test -z "$ac_cpp_err"; then 
     2878 
     2879 
     2880cat >>confdefs.h <<\_ACEOF 
     2881#define HAVE_GLIBC 1 
     2882_ACEOF 
     2883 
     2884 
     2885cat >>confdefs.h <<\_ACEOF 
     2886#define _GNU_SOURCE 1 
     2887_ACEOF 
     2888 
     2889 
     2890else 
     2891  echo "$as_me: failed program was:" >&5 
     2892sed 's/^/| /' conftest.$ac_ext >&5 
     2893 
     2894 
     2895fi 
     2896rm -f conftest.err conftest.$ac_ext 
     2897 
     2898 
    26172899# Check if we need the math library 
    26182900echo "$as_me:$LINENO: checking for pow" >&5 
     
    30363318 
    30373319# Check for the OpenSSL crypto library 
    3038 ac_ext=c 
    3039 ac_cpp='$CPP $CPPFLAGS' 
    3040 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' 
    3041 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 
    3042 ac_compiler_gnu=$ac_cv_c_compiler_gnu 
    3043 echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5 
    3044 echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6 
    3045 # On Suns, sometimes $CPP names a directory. 
    3046 if test -n "$CPP" && test -d "$CPP"; then 
    3047   CPP= 
    3048 fi 
    3049 if test -z "$CPP"; then 
    3050   if test "${ac_cv_prog_CPP+set}" = set; then 
    3051   echo $ECHO_N "(cached) $ECHO_C" >&6 
    3052 else 
    3053       # Double quotes because CPP needs to be expanded 
    3054     for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp" 
    3055     do 
    3056       ac_preproc_ok=false 
    3057 for ac_c_preproc_warn_flag in '' yes 
    3058 do 
    3059   # Use a header file that comes with gcc, so configuring glibc 
    3060   # with a fresh cross-compiler works. 
    3061   # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since 
    3062   # <limits.h> exists even on freestanding compilers. 
    3063   # On the NeXT, cc -E runs the code through the compiler's parser, 
    3064   # not just through cpp. "Syntax error" is here to catch this case. 
    3065   cat >conftest.$ac_ext <<_ACEOF 
    3066 #line $LINENO "configure" 
    3067 /* confdefs.h.  */ 
    3068 _ACEOF 
    3069 cat confdefs.h >>conftest.$ac_ext 
    3070 cat >>conftest.$ac_ext <<_ACEOF 
    3071 /* end confdefs.h.  */ 
    3072 #ifdef __STDC__ 
    3073 # include <limits.h> 
    3074 #else 
    3075 # include <assert.h> 
    3076 #endif 
    3077                      Syntax error 
    3078 _ACEOF 
    3079 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
    3080   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
    3081   ac_status=$? 
    3082   grep -v '^ *+' conftest.er1 >conftest.err 
    3083   rm -f conftest.er1 
    3084   cat conftest.err >&5 
    3085   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    3086   (exit $ac_status); } >/dev/null; then 
    3087   if test -s conftest.err; then 
    3088     ac_cpp_err=$ac_c_preproc_warn_flag 
    3089   else 
    3090     ac_cpp_err= 
    3091   fi 
    3092 else 
    3093   ac_cpp_err=yes 
    3094 fi 
    3095 if test -z "$ac_cpp_err"; then 
    3096   : 
    3097 else 
    3098   echo "$as_me: failed program was:" >&5 
    3099 sed 's/^/| /' conftest.$ac_ext >&5 
    3100  
    3101   # Broken: fails on valid input. 
    3102 continue 
    3103 fi 
    3104 rm -f conftest.err conftest.$ac_ext 
    3105  
    3106   # OK, works on sane cases.  Now check whether non-existent headers 
    3107   # can be detected and how. 
    3108   cat >conftest.$ac_ext <<_ACEOF 
    3109 #line $LINENO "configure" 
    3110 /* confdefs.h.  */ 
    3111 _ACEOF 
    3112 cat confdefs.h >>conftest.$ac_ext 
    3113 cat >>conftest.$ac_ext <<_ACEOF 
    3114 /* end confdefs.h.  */ 
    3115 #include <ac_nonexistent.h> 
    3116 _ACEOF 
    3117 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
    3118   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
    3119   ac_status=$? 
    3120   grep -v '^ *+' conftest.er1 >conftest.err 
    3121   rm -f conftest.er1 
    3122   cat conftest.err >&5 
    3123   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    3124   (exit $ac_status); } >/dev/null; then 
    3125   if test -s conftest.err; then 
    3126     ac_cpp_err=$ac_c_preproc_warn_flag 
    3127   else 
    3128     ac_cpp_err= 
    3129   fi 
    3130 else 
    3131   ac_cpp_err=yes 
    3132 fi 
    3133 if test -z "$ac_cpp_err"; then 
    3134   # Broken: success on invalid input. 
    3135 continue 
    3136 else 
    3137   echo "$as_me: failed program was:" >&5 
    3138 sed 's/^/| /' conftest.$ac_ext >&5 
    3139  
    3140   # Passes both tests. 
    3141 ac_preproc_ok=: 
    3142 break 
    3143 fi 
    3144 rm -f conftest.err conftest.$ac_ext 
    3145  
    3146 done 
    3147 # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped. 
    3148 rm -f conftest.err conftest.$ac_ext 
    3149 if $ac_preproc_ok; then 
    3150   break 
    3151 fi 
    3152  
    3153     done 
    3154     ac_cv_prog_CPP=$CPP 
    3155  
    3156 fi 
    3157   CPP=$ac_cv_prog_CPP 
    3158 else 
    3159   ac_cv_prog_CPP=$CPP 
    3160 fi 
    3161 echo "$as_me:$LINENO: result: $CPP" >&5 
    3162 echo "${ECHO_T}$CPP" >&6 
    3163 ac_preproc_ok=false 
    3164 for ac_c_preproc_warn_flag in '' yes 
    3165 do 
    3166   # Use a header file that comes with gcc, so configuring glibc 
    3167   # with a fresh cross-compiler works. 
    3168   # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since 
    3169   # <limits.h> exists even on freestanding compilers. 
    3170   # On the NeXT, cc -E runs the code through the compiler's parser, 
    3171   # not just through cpp. "Syntax error" is here to catch this case. 
    3172   cat >conftest.$ac_ext <<_ACEOF 
    3173 #line $LINENO "configure" 
    3174 /* confdefs.h.  */ 
    3175 _ACEOF 
    3176 cat confdefs.h >>conftest.$ac_ext 
    3177 cat >>conftest.$ac_ext <<_ACEOF 
    3178 /* end confdefs.h.  */ 
    3179 #ifdef __STDC__ 
    3180 # include <limits.h> 
    3181 #else 
    3182 # include <assert.h> 
    3183 #endif 
    3184                      Syntax error 
    3185 _ACEOF 
    3186 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
    3187   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
    3188   ac_status=$? 
    3189   grep -v '^ *+' conftest.er1 >conftest.err 
    3190   rm -f conftest.er1 
    3191   cat conftest.err >&5 
    3192   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    3193   (exit $ac_status); } >/dev/null; then 
    3194   if test -s conftest.err; then 
    3195     ac_cpp_err=$ac_c_preproc_warn_flag 
    3196   else 
    3197     ac_cpp_err= 
    3198   fi 
    3199 else 
    3200   ac_cpp_err=yes 
    3201 fi 
    3202 if test -z "$ac_cpp_err"; then 
    3203   : 
    3204 else 
    3205   echo "$as_me: failed program was:" >&5 
    3206 sed 's/^/| /' conftest.$ac_ext >&5 
    3207  
    3208   # Broken: fails on valid input. 
    3209 continue 
    3210 fi 
    3211 rm -f conftest.err conftest.$ac_ext 
    3212  
    3213   # OK, works on sane cases.  Now check whether non-existent headers 
    3214   # can be detected and how. 
    3215   cat >conftest.$ac_ext <<_ACEOF 
    3216 #line $LINENO "configure" 
    3217 /* confdefs.h.  */ 
    3218 _ACEOF 
    3219 cat confdefs.h >>conftest.$ac_ext 
    3220 cat >>conftest.$ac_ext <<_ACEOF 
    3221 /* end confdefs.h.  */ 
    3222 #include <ac_nonexistent.h> 
    3223 _ACEOF 
    3224 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
    3225   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
    3226   ac_status=$? 
    3227   grep -v '^ *+' conftest.er1 >conftest.err 
    3228   rm -f conftest.er1 
    3229   cat conftest.err >&5 
    3230   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    3231   (exit $ac_status); } >/dev/null; then 
    3232   if test -s conftest.err; then 
    3233     ac_cpp_err=$ac_c_preproc_warn_flag 
    3234   else 
    3235     ac_cpp_err= 
    3236   fi 
    3237 else 
    3238   ac_cpp_err=yes 
    3239 fi 
    3240 if test -z "$ac_cpp_err"; then 
    3241   # Broken: success on invalid input. 
    3242 continue 
    3243 else 
    3244   echo "$as_me: failed program was:" >&5 
    3245 sed 's/^/| /' conftest.$ac_ext >&5 
    3246  
    3247   # Passes both tests. 
    3248 ac_preproc_ok=: 
    3249 break 
    3250 fi 
    3251 rm -f conftest.err conftest.$ac_ext 
    3252  
    3253 done 
    3254 # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped. 
    3255 rm -f conftest.err conftest.$ac_ext 
    3256 if $ac_preproc_ok; then 
    3257   : 
    3258 else 
    3259   { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check 
    3260 See \`config.log' for more details." >&5 
    3261 echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check 
    3262 See \`config.log' for more details." >&2;} 
    3263    { (exit 1); exit 1; }; } 
    3264 fi 
    3265  
    3266 ac_ext=c 
    3267 ac_cpp='$CPP $CPPFLAGS' 
    3268 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' 
    3269 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 
    3270 ac_compiler_gnu=$ac_cv_c_compiler_gnu 
    3271  
    3272  
    32733320echo "$as_me:$LINENO: checking for egrep" >&5 
    32743321echo $ECHO_N "checking for egrep... $ECHO_C" >&6 
  • trackerd/trunk/configure.in

    r1581 r1664  
    141141        WT_MSG_LIBZANKA_ERROR 
    142142fi 
     143 
     144 
     145# Check for glibc (Linux) 
     146AC_PREPROC_IFELSE([ 
     147    #include <features.h> 
     148    #ifndef __GLIBC__ 
     149    chokeme 
     150    #endif 
     151], [ 
     152    AC_DEFINE([HAVE_GLIBC], [1], [Define to 1 if you have glibc.]) 
     153    AC_DEFINE([_GNU_SOURCE], [1], [Define to 1 if you have glibc.]) 
     154]) 
    143155 
    144156